Subject: Re: bug#66394: 29.1; Make register-read-with-preview more useful

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Nov 2023 22:10:14 +0200

> From: Thierry Volpiatto <[email-masked]>
> Cc: [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sat, 25 Nov 2023 19:59:26 +0000
> 
> >     ELC      ../lisp/register.elc
> >
> >   In toplevel form:
> >   register.el:33:37: Warning: `eql' called with 1 argument, but requires 2
> >   register.el:33:45: Warning: reference to free variable `integer'
> 
> I have not these warnings.

Strange.  Maybe Stefan can explain how could that happen.

> > This then fails the build, since 'register' is preloaded.
> 
> Here it is building fine, this from the last Emacs master from tonight.

I'm also applying to master, obviously.

> > Thierry, can you please fix the code, so that I could install it?  Or
> > what am I missing?
> 
> Don't know, did you "make clean" first?

How would "make clean" help?  I did remove register.elc, it didn't
help.

> NOTE: I leaved the patch like this but it needs the change suggested by
> Stefan before merging (or with an extra commit) see above.

OK, so I guess I shouldn't have tried to install it.

> > P.S. Also, the log message is not according to our conventions.
> 
> I don't remember now what are your conventions for commits, perhaps you
> can correct it if needed?

Of course, I can correct it.  I just thought that if you are going to
submit a fixed patch, perhaps you could fix the log message as well,
to spare me some manual work.  Never mind now, since I'm not going to
install it yet.

Thanks.